package com.miaxis.ad.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * ad对象 ad_info
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Data
@TableName("ad_info")
@ApiModel(value = "AdInfo", description = "ad对象 ad_info")
public class AdInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @TableField("title")
    @ApiModelProperty(value = "标题")
    private String title;

    /** 链接 */
    @Excel(name = "链接")
    @TableField("link")
    @ApiModelProperty(value = "链接")
    private String link;

    /** 是否启动 1启用 0关闭 */
    @Excel(name = "是否启动 1启用 0关闭")
    @TableField("status")
    @ApiModelProperty(value = "是否启动 1启用 0关闭")
    private Long status;

    /** 打开类型 1站内打开 2站外打开 */
    @Excel(name = "打开类型 1站内打开 2站外打开")
    @TableField("open_type")
    @ApiModelProperty(value = "打开类型 1站内打开 2站外打开")
    private Long openType;

    /** 弹出类型 1：H5 2：小程序 3：公众号 */
    @Excel(name = "弹出类型 1：H5 2：小程序 3：公众号")
    @TableField("ad_type")
    @ApiModelProperty(value = "弹出类型 1：H5 2：小程序 3：公众号")
    private Long adType;

    /** 弹出小程序时的指定URL */
    @Excel(name = "弹出小程序时的指定URL")
    @TableField("xcx_url")
    @ApiModelProperty(value = "弹出小程序时的指定URL")
    private String xcxUrl;

    /** 公众号一次性订阅 */
    @Excel(name = "公众号一次性订阅")
    @TableField("content")
    @ApiModelProperty(value = "公众号一次性订阅")
    private String content;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setTitle(String title){
        this.title = title;
    }

    public String getTitle(){
        return title;
    }
    public void setLink(String link){
        this.link = link;
    }

    public String getLink(){
        return link;
    }
    public void setStatus(Long status){
        this.status = status;
    }

    public Long getStatus(){
        return status;
    }
    public void setOpenType(Long openType){
        this.openType = openType;
    }

    public Long getOpenType(){
        return openType;
    }
    public void setAdType(Long adType){
        this.adType = adType;
    }

    public Long getAdType(){
        return adType;
    }
    public void setXcxUrl(String xcxUrl){
        this.xcxUrl = xcxUrl;
    }

    public String getXcxUrl(){
        return xcxUrl;
    }
    public void setContent(String content){
        this.content = content;
    }

    public String getContent(){
        return content;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("link", getLink())
            .append("status", getStatus())
            .append("openType", getOpenType())
            .append("adType", getAdType())
            .append("xcxUrl", getXcxUrl())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
